<?php
/**
 * NullAuthorization
 * @author Jérôme Brilland
 * @version 1.0
 * @copyright (c) 2019, Jérôme Brilland
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License
 */
class NullAuthorization implements IAuthorization {

    /**
     * @param mixed $activity
     */
    public function authorize( $activity ) {
        
    }
    
    /**
     * @param mixed $activity
     * @return boolean True if the user is authorized, false otherwise
     */
    public function isAuthorized( $activity ) {
        return true;
    }
}
